org.hibernate.search.bridge.builtin

## Class TikaBridge

- java.lang.Object
- - org.hibernate.search.bridge.builtin.TikaBridge

- All Implemented Interfaces:
    FieldBridge, MetadataProvidingFieldBridge

      public class TikaBridge
      extends Object
      implements MetadataProvidingFieldBridge

  Bridge implementation which uses Apache Tika to extract data from provided input.
  Author:
    Hardy Ferentschik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TikaBridge()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configureFieldMetadata(String name, FieldMetadataBuilder builder)` Allows this bridge to expose meta-data about the fields it creates.
    `void` | `set(String name, Object value, Document document, LuceneOptions luceneOptions)` Manipulate the document to index the given value.
    `void` | `setMetadataProcessorClass(Class<?> metadataProcessorClass)`
    `void` | `setParseContextProviderClass(Class<?> parseContextProviderClass)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TikaBridge

          public TikaBridge()

  - ### Method Detail

    - #### configureFieldMetadata

          public void configureFieldMetadata(String name,
                                             FieldMetadataBuilder builder)

      Description copied from interface: `MetadataProvidingFieldBridge`
      Allows this bridge to expose meta-data about the fields it creates.
      Specified by:
        `configureFieldMetadata` in interface `MetadataProvidingFieldBridge`
      Parameters:
        `name` - The default field name; Should be used consistently with `FieldBridge.set(String, Object, org.apache.lucene.document.Document, LuceneOptions)`.
        `builder` - Builder for exposing field-related meta-data

    - #### setParseContextProviderClass

          public void setParseContextProviderClass(Class<?> parseContextProviderClass)

    - #### setMetadataProcessorClass

          public void setMetadataProcessorClass(Class<?> metadataProcessorClass)

    - #### set

          public void set(String name,
                          Object value,
                          Document document,
                          LuceneOptions luceneOptions)

      Description copied from interface: `FieldBridge`
      Manipulate the document to index the given value.

      A common implementation is to add a Field with the given `name` to `document` following the parameters `luceneOptions` if the `value` is not `null`.

           String fieldValue = convertToString(value);
           luceneOptions.addFieldToDocument(name, fieldValue, document);

      Specified by:
        `set` in interface `FieldBridge`
      Parameters:
        `name` - The field to add to the Lucene document
        `value` - The actual value to index
        `document` - The Lucene document into which we want to index the value.
        `luceneOptions` - Contains the parameters used for adding `value` to the Lucene document.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved